Name: tendrl-commons
Version: 1.6.3
Release: 17%{?dist}
BuildArch: noarch
Summary: Common lib for Tendrl sds integrations and node-agent
Source0: %{name}-%{version}.tar.gz
License: LGPLv2+
URL: https://github.com/Tendrl/commons

BuildRequires: pytest
BuildRequires: python2-devel
BuildRequires: python-six
BuildRequires: systemd

Requires: ansible >= 2.5
Requires: python-maps
Requires: python-dateutil
Requires: python-dns
Requires: python-etcd
Requires: python-six
Requires: python-ruamel-yaml
Requires: pytz
Requires: python-psutil
Requires: python-IPy


Patch0001: 0001-Corrected-the-command-to-execute-for-underlying-glus.patch
Patch0002: 0002-Job-thread-in-all-tendrl-components-consumes-more-cp.patch
Patch0003: 0003-Increasing-child-job-status-check-in-stop-monitoring.patch
Patch0004: 0004-Update-__init__.py.patch
Patch0005: 0005-Update-__init__.py.patch
Patch0006: 0006-Remove-updated_at-attributes-from-objects.patch
Patch0007: 0007-Pass-job-id-to-worker-thread.patch
Patch0008: 0008-Fixing-job-thread-issue.patch
Patch0009: 0009-Avoding-job-update-message-which-have-debug-priority.patch
Patch0010: 0010-Cluster-remains-listed-by-its-short-cluster-name-aft.patch
Patch0011: 0011-Timeout-in-job-update-in-delete_monitoring_details-a.patch
Patch0012: 0012-Fix-breakage-in-ansible-module-runner.patch
Patch0013: 0013-Removing-node_alert_count-object.patch
Patch0014: 0014-Removing-all-alerts-which-is-related-to-un-managed-c.patch
Patch0015: 0015-Removing-all-alerts-which-is-related-to-un-managed-c.patch
Patch0016: 0016-Import-cluster-job-fails-for-a-while-but-then-finish.patch
Patch0017: 0017-Import-cluster-fails-with-TypeError.patch
Patch0018: 0018-Fixing-load_all.patch
Patch0019: 0019-Update-__init__.py.patch
Patch0020: 0020-Update-master.yaml.patch
Patch0021: 0021-Update-__init__.py.patch
Patch0022: 0022-Unmanage-fails-without-descriptive-error-message.patch
Patch0023: 0023-During-unmanage-flow-sometimes-stop_monitoring_servi.patch
Patch0024: 0024-Fix-pep8.patch
Patch0025: 0025-Fixed-967.patch
Patch0026: 0026-Fixed-Import-not-working.-Job-remains-in-new-state.patch
Patch0027: 0027-Allow-import-for-a-cluster-with-same-name-if-failed-.patch
Patch0028: 0028-unmanaged-task-always-fails-after-import-failure.patch
Patch0029: 0029-Updated-logic-for-alert-notifications-and-node-statu.patch
Patch0030: 0030-Updated-logic-for-cluster-health-notification.patch
Patch0031: 0031-Fixing-issue-with-import-and-unmanage-flow-fail.patch
Patch0032: 0032-Fixed-long-error-lines-in-system-log.patch
Patch0033: 0033-Updating-cluster-details-when-all-nodes-are-goes-dow.patch
Patch0034: 0034-Node-up-alert-requires-integration_id-from-tendrl_co.patch
Patch0035: 0035-Job-sync-thread-fails-when-queue-directory-becomes-e.patch
Patch0036: 0036-Cluster-is-updated-as-managed-after-import-cluster-j.patch
Patch0037: 0037-Raising-node-down-alert-only-for-managed-nodes.patch
Patch0038: 0038-Fixed-inconsistency-in-AnsibleRunner-return-data-ten.patch
Patch0039: 0039-Fixed-issue-job-status-marked-as-finished-when-job-f.patch
Patch0040: 0040-Marking-of-child-jobs-failed-after-parent-timeout-te.patch
Patch0041: 0041-Added-code-comments-tendrl-bug-id-Tendrl-commons-101.patch
Patch0042: 0042-Fixed-log-messages-for-import-and-unmanage-flows-ten.patch
Patch0043: 0043-Changed-log-messages-tendrl-bug-id-Tendrl-commons-10.patch
Patch0044: 0044-Fix-check_sync_done-counter.patch
Patch0045: 0045-Fixing-job-status-update-issue.patch
Patch0046: 0046-Log-proper-exception-message-while-import-cluster-fa.patch
Patch0047: 0047-Modified-import-flow-timeout-logic-based-on-number-o.patch
Patch0048: 0048-Fixing-issue-in-job-thread.patch
Patch0049: 0049-Fixed-umnanage-failed-after-node-failure.patch
Patch0050: 0050-Fixing-an-issue-of-geo-replication-count-not-shown-i.patch
Patch0051: 0051-This-is-required-to-make-sure-user-should-be-able-to.patch
Patch0052: 0052-Fixing-expand-re-run-issue.patch
Patch0053: 0053-Fixing-issue-with-svc_connection-clearing-alert.patch
Patch0054: 0054-Changed-the-md5-algo-to-sha512-for-FIPS-compliance.patch
Patch0055: 0055-Fixing-pep8-issue-for-current-PR-files.patch
Patch0056: 0056-specify-minimal-required-ansible-version.patch
Patch0057: 0057-Removing-provisioner-tag-from-collectd-plugin-config.patch
Patch0058: 0058-Moved-profiling-to-the-begining-of-import-flow.patch
Patch0059: 0059-Import-is-failing-with-new-profiling-code-when-no-vo.patch

%description
Common library for tendrl

%prep
%setup
%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0057 -p1
%patch0058 -p1
%patch0059 -p1

# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%check
py.test -v tendrl/commons/tests || :

%files -f INSTALLED_FILES
%doc README.rst
%license LICENSE

%changelog
* Fri Feb 15 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-17
- Fixed bugs:1676897
- Release tendrl-commons 1.6.3-17

* Fri Feb 08 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-16
- Fixed bugs: 1647910,1655420
- Release tendrl-commons 1.6.3-16

* Mon Jan 21 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-15
- Fixed bugs: 1654338
- Release tendrl-commons 1.6.3-15

* Tue Dec 18 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-14
- Fixed bugs: 1647910
- Release tendrl-commons 1.6.3-14

* Mon Oct 08 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-13
- Fixed bugs: 1636078
- Release tendrl-commons 1.6.3-13

* Tue Aug 14 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-12
- Fixed bugs: 1611601
- Release tendrl-commons 1.6.3-12

* Thu Aug 02 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-11
- Fixed bugs: 1596655
- Release tendrl-commons 1.6.3-11

* Sun Jul 29 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-10
- Fixed bugs: 1596655,1603175
- Release tendrl-commons 1.6.3-10

* Mon Jul 16 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-9
- Fixed bugs: 1584095,1590661,1600092
- Release tendrl-commons 1.6.3-9

* Thu Jul 05 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-8
- Fixed bugs: 1571244,1580385,1584095,1589729,1590661,1592487,1593640
- Release tendrl-commons 1.6.3-8

* Mon Jun 18 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-7
- Fixed bugs: 1513993,1519201,1570048
- Release tendrl-commons 1.6.3-7

* Fri Jun 01 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-6
- Fixed bugs: 1519201,1570048,1578885,1579249,1583264,1580385
- Release tendrl-commons 1.6.3-6

* Wed May 16 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-5
- Fixed bugs: 1565978,1570048,1571244,1575891
- Release tendrl-commons 1.6.3-5

* Sat May 05 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-4
- Fixed bugs: 1565978,1571244,1571280,1571325,1572090,1573079,1573110
- Release tendrl-commons 1.6.3-4

* Wed Apr 25 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-3
- Fixed bugs: 1559507,1565479,1571235,1571245
- Release tendrl-commons 1.6.3-3

* Fri Apr 20 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-2
- Release tendrl-commons 1.6.3-2

* Wed Apr 18 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-1
- Release tendrl-commons 1.6.3-1

* Mon Apr 02 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.1-3
- Fixed bugs: 1559362, 1559415, 1559364, 1559365, 1559399
- Release tendrl-commons 1.6.1-3

* Tue Mar 27 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.1-2
- Fixed bugs: 1516417, 1531139
- Release tendrl-commons 1.6.1-2

* Thu Mar 08 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.1-1
- Release tendrl-commons 1.6.1-1

* Mon Dec 11 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-9
- Release tendrl-commons 1.5.4-9

* Thu Dec 07 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-8
- Release tendrl-commons 1.5.4-8

* Tue Dec 05 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-7
- Release tendrl-commons 1.5.4-7

* Thu Nov 30 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-6
- Release tendrl-commons 1.5.4-6

* Mon Nov 27 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-5
- Release tendrl-commons 1.5.4-5

* Tue Nov 21 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-4
- Release tendrl-commons 1.5.4-4

* Sat Nov 18 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-3
- Release tendrl-commons 1.5.4-3

* Fri Nov 10 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-2
- Release tendrl-commons 1.5.4-2

* Fri Nov 03 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-1
- Release tendrl-commons 1.5.4-1

* Thu Oct 12 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-1
- Release tendrl-commons 1.5.3-1

* Mon Jun 19 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.10
- Release tendrl-commons 3.0-alpha.10

* Mon Jun 12 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.9
- Release tendrl-commons 3.0-alpha.9

* Thu Jun 08 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.8
- Release tendrl-commons 3.0-alpha.8

* Mon Jun 05 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.7
- Release tendrl-commons 3.0-alpha.7
- BZ# 1458750

* Fri Jun 02 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.6
- Release tendrl-commons 3.0-alpha.6

* Fri May 26 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.5
- Release tendrl-commons 3.0-alpha.5

* Fri May 26 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.4
- Release tendrl-commons 3.0-alpha.4

* Thu May 25 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.3
- Release tendrl-commons 3.0-alpha.3

* Tue May 23 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.2
- Release tendrl-commons 3.0-alpha.2

* Sat May 20 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha
- Release tendrl-commons 3.0-alpha.1

* Thu May 18 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha
- Release tendrl-commons 3.0-alpha

* Wed May 17 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.2.3-1
- Version updated to v1.2.3

* Wed Dec 07 2016 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 0.0.1-1
- Version updated to 0.0.1

* Tue Dec 06 2016 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 0.0.0-2
- Add python-yaml, python-setuptools dependencies

* Mon Oct 17 2016 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 0.0.0-1
- Initial build.
